# Views Entity Reference Filter

This module provides a user-friendly Views filter for configurable
entity reference fields. Instead of having to enter entity IDs
manually, users can select the labels of the entities they
want to filter on.

For a full description of the module visit:
  [Project Page](https://www.drupal.org/project/verf)

 To submit bug reports and feature suggestions, or to track changes
  visit: [Issue Queue](https://www.drupal.org/project/issues/verf)


## Contents of this file

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires the following modules:

- Drupal Core - [Views](https://www.drupal.org/project/views)


## Installation

Install the IEF Complex Open Widget module as you would normally install a
contributed Drupal module. Visit [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-modules)
for further information.

## Configuration

1. Edit a View.
2. From the View configuration page, set up a Entity Reference Node
    Relationship in the View (a "Content referenced from .." relationship).
3. Add the "Entity Reference Exposed Filters Node Titles" filter.
4. Set the sort options to the desired View preferences.
4. You will now have an exposed filter with referenced node titles.

## Maintainers

- Chris Jansen - [legolasbo](https://www.drupal.org/u/legolasbo)
- Andrii Podanenko - [podarok](https://www.drupal.org/u/podarok)
